#include "Arduino.h"

class Antrieb
{
    public:
        Antrieb()
        {
            //LINKER MOTOR
            //A5 als digitaler Ausgang, INPUT 3
            pinMode(23,OUTPUT);  
            //A0 als digitaler Ausgang, INPUT 4
            pinMode(18,OUTPUT);  
            digitalWrite(23,0); //1 eine Richtung
            digitalWrite(18,1); //0
            analogWrite(6,0);

            //RECHTER MOTOR
            //A4 als digitaler Ausgang, INPUT 2
            pinMode(22,OUTPUT);  
            //A1 als digitaler Ausgang, INPUT 1
            pinMode(19,OUTPUT);  
            digitalWrite(22,1); //1 eine Richtung
            digitalWrite(19,0); //0
            analogWrite(5,0);          
        }
    
        void links(int wert)
        {
            if(wert>0)
            {
                digitalWrite(23,0); //1 eine Richtung
                digitalWrite(18,1); //0              
                analogWrite(6,wert);
            }
            else
            {
                digitalWrite(23,1); //0 andere Richtung
                digitalWrite(18,0); //1              
                analogWrite(6,-wert);
            }
        }
        void rechts(int wert)
        {
            if(wert>0)
            {
                digitalWrite(22,1); //1 eine Richtung
                digitalWrite(19,0); //0
                analogWrite(5,wert);
            }
            else
            {
                digitalWrite(22,0); //0 andere Richtung
                digitalWrite(19,1); //1
                analogWrite(5,-wert);
            }
        }
};
